Package org.eclipse.emf.cdo.ui

## Class AbstractAuthorizingDialog<E>

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.eclipse.net4j.util.ui.widgets.AbstractDialog
          - - org.eclipse.emf.cdo.ui.AbstractAuthorizingDialog<E>

- All Implemented Interfaces:
    `Authorizer.AuthorizerContext<E>`, `IShellProvider`

      public abstract class AbstractAuthorizingDialog<E>
      extends org.eclipse.net4j.util.ui.widgets.AbstractDialog
      implements Authorizer.AuthorizerContext<E>

  Since:
    4.11
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `Window.IExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Authorizer<E>` | `authorizer` |

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAuthorizingDialog​(Shell parentShell, CDOSession session)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Control` | `createButtonBar​(Composite parent)` |
    `protected void` | `createUI​(Composite container)` |
    `protected abstract void` | `doCreateUI​(Composite container)` |
    `protected void` | `doValidate()` |
    `java.lang.String` | `getAuthorizationDeniedMessage()` |
    `protected Point` | `getInitialSize()` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.widgets.AbstractDialog

      `createDialogArea, enableOKButton, validate`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `createContents, getErrorMessage, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, configureShell, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.ui.Authorizer.AuthorizerContext

      `collectElementOperations, updateUIAfterAuthorization, validate`

- - ### Field Detail

    - #### authorizer

          protected final Authorizer<E> authorizer

  - ### Constructor Detail

    - #### AbstractAuthorizingDialog

          public AbstractAuthorizingDialog​(Shell parentShell,
                                           CDOSession session)

  - ### Method Detail

    - #### getInitialSize

          protected Point getInitialSize()

      Overrides:
        `getInitialSize` in class `org.eclipse.net4j.util.ui.widgets.AbstractDialog`

    - #### createUI

          protected final void createUI​(Composite container)

      Specified by:
        `createUI` in class `org.eclipse.net4j.util.ui.widgets.AbstractDialog`

    - #### doCreateUI

          protected abstract void doCreateUI​(Composite container)

    - #### createButtonBar

          protected Control createButtonBar​(Composite parent)

      Overrides:
        `createButtonBar` in class `TrayDialog`

    - #### doValidate

          protected void doValidate()
                             throws java.lang.Exception

      Overrides:
        `doValidate` in class `org.eclipse.net4j.util.ui.widgets.AbstractDialog`
      Throws:
        `java.lang.Exception`

    - #### getAuthorizationDeniedMessage

          public java.lang.String getAuthorizationDeniedMessage()

      Specified by:
        `getAuthorizationDeniedMessage` in interface `Authorizer.AuthorizerContext<E>`